---
title: Create a new Headless Platform application on your account
url: https://developers.wpengine.com/docs/headless-platform/reference/api/endpoints/operations/apps_createapp/
image: https://developers.wpengine.com/og/docs/headless-platform/reference/api/endpoints/operations/apps_createapp.png
---

# Create a new Headless Platform application on your account

POST

/v1/accounts/{account}/apps

Select code sample

```sh
curl --request POST \
  --url https://js.wpengineapi.com/v1/accounts/example/apps \
  --header 'Authorization: Basic <credentials>' \
  --header 'Content-Type: application/json' \
  --data '{ "appId": "example", "region": "example", "repository": { "name": "example", "provider": "PROVIDER_UNSPECIFIED" } }'
```

-

## Authorizations

- **[basicAuth](https://developers.wpengine.com/docs/headless-platform/reference/api/endpoints/#basicauth)**

## Parameters

### Path Parameters

**account**

required

string

Name of your WP Engine Headless Platform account

### Query Parameters

**appId**

string

Headless Platform application name, should be unique for entire account

## Request Body

Details of the application you want to create

Media typeapplication/json

*App*

App represents a Headless Platform application with source code coming from a specified repository.

object

**appId**

*App ID*

string

**createTime**

*Timestamp - app created*

Timestamp of when the Headless Platform application was created.

string format: date-time

**name**

*App name*

Name of your Headless Platform application. Will be generated if not specified.

string

**region**

*App hosting region*

Region where the App is going to be deployed. Format: region/{region} Values: regions/EU-W - Europe West regions/UK - United Kingdom regions/US-C - DisplayName regions/AUS-SE - Australia Southeast

string

**repository**

Source code repository data.

object

**displayName**

The display name of the repository in format of {owner}/{repo}.

string

**name**

required

*Name of repository*

For zip upload it should be `provider/uploadable`

string

**provider**

*Git provider*

Git repository hosting service used by the application

- PROVIDER_UNSPECIFIED:
- GITHUB:
- GITLAB:
- BITBUCKET:
- UPLOADABLE:

string

default: PROVIDER_UNSPECIFIED

Allowed values: PROVIDER_UNSPECIFIED GITHUB GITLAB BITBUCKET UPLOADABLE

## Responses

### 200

A successful response.

Media typeapplication/json

*App*

App represents a Headless Platform application with source code coming from a specified repository.

object

**appId**

*App ID*

string

**createTime**

*Timestamp - app created*

Timestamp of when the Headless Platform application was created.

string format: date-time

**name**

*App name*

Name of your Headless Platform application. Will be generated if not specified.

string

**region**

*App hosting region*

Region where the App is going to be deployed. Format: region/{region} Values: regions/EU-W - Europe West regions/UK - United Kingdom regions/US-C - DisplayName regions/AUS-SE - Australia Southeast

string

**repository**

Source code repository data.

object

**displayName**

The display name of the repository in format of {owner}/{repo}.

string

**name**

required

*Name of repository*

For zip upload it should be `provider/uploadable`

string

**provider**

*Git provider*

Git repository hosting service used by the application

- PROVIDER_UNSPECIFIED:
- GITHUB:
- GITLAB:
- BITBUCKET:
- UPLOADABLE:

string

default: PROVIDER_UNSPECIFIED

Allowed values: PROVIDER_UNSPECIFIED GITHUB GITLAB BITBUCKET UPLOADABLE

#### Example

```json
{
  "repository": {
    "provider": "PROVIDER_UNSPECIFIED"
  }
}
```

## Was this helpful?

Thanks for the feedback!

```json
{"@context":"https://schema.org","@graph":[{"@type":"WebSite","@id":"https://developers.wpengine.com/#website","name":"WP Engine Product Documentation","url":"https://developers.wpengine.com/","description":"Resources for developing, deploying, and scaling on WP Engine.","inLanguage":"en-US","keywords":["API documentation","product documentation","headless WordPress","managed WordPress hosting"],"publisher":{"@id":"https://wpengine.com/#organization"}}]}
```
